<?php
/*
 * @version $Id: HEADER 15930 2011-10-30 15:47:55Z tsmr $
 -------------------------------------------------------------------------
 Manageentities plugin for GLPI
 Copyright (C) 2003-2011 by the Manageentities Development Team.

 https://forge.indepnet.net/projects/manageentities
 -------------------------------------------------------------------------

 LICENSE
		
 This file is part of Manageentities.

 Manageentities is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Manageentities is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Manageentities. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
 */

if (!defined('GLPI_ROOT')) {
	die("Sorry. You can't access directly to this file");
}

class PluginManageentitiesConfig extends CommonDBTM {

	function showForm () {
      global $CFG_GLPI,$LANG;

      echo "<form name='form' method='post' action='".$this->getFormURL()."'>";
      echo "<div align='center'><table class='tab_cadre_fixe'  cellspacing='2' cellpadding='2'>";
      echo "<tr><th colspan='2'>".$LANG['plugin_manageentities']['setup'][0]."</th></tr>";
      echo "<tr class='tab_bg_1 top'><td>".$LANG['plugin_manageentities']['setup'][10].": </td>";
      echo "<td>";
      Dropdown::showYesNo("backup",$this->fields["backup"]);
      echo "</td></tr>";
      echo "<tr class='tab_bg_1 top'><td>".$LANG['plugin_manageentities']['setup'][2].": </td>";
      echo "<td>";
      Dropdown::show('DocumentCategory', array('name' => "documentcategories_id",'value' => $this->fields["documentcategories_id"]));
      echo "</td></tr>";
      echo "<tr class='tab_bg_1 top'><td>".$LANG['plugin_manageentities']['setup'][1].": </td>";
      echo "<td>";
      Html::autocompletionTextField($this,"hourbyday",array('size' => "5"));
      echo "</td></tr>";

      echo "<tr><th colspan='2'><input type='hidden' name='id' value='1'><input type=\"submit\" name=\"update_config\" class=\"submit\" value=\"".$LANG["buttons"][2]."\" ></th></tr>";
      echo "</table></div>";
      echo "</form><br>";
	}
}

?>